
Figure - Bug #116832
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT】【任务管理器】【偶现】打开应用后上划进入任务管理器，未进入recent且所有后台进程卡片
在桌面上卡住
2023-03-09 11:44 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-09

Priority: Normal Due date: 2023-05-10

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0081.C101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version: 2023-05-16

Test Type: ST Root cause: 问题无法复现，添加强化日志

Description

【前提条件】

1、设备正常启动

2、后台有进程

【测试步骤】

1、打开QQ音乐HD（出现该问题时打开的应用）

2、上划进入任务管理器

【预期结果】

2、成功进入任务管理器，页面显示正常

【实际结果】

2、未进入recent且所有后台进程卡片在桌面上卡住

History

#1 - 2023-03-16 11:15 - CDTS_Test 吴诗雨

- File logcat.txt added

【复现版本】FlatBuild_HH_MCE_FSE.M.R.user.01.00.0082.C101

【复现情况】出现一次

1、点击熄屏

2、右侧上划点亮

#2 - 2023-03-31 15:00 - CD APP-王营

- Due date set to 2023-04-14

#3 - 2023-03-31 15:03 - CD APP-王营

- Status changed from New to ASSIGNED

#4 - 2023-04-10 18:53 - CD APP-王营

- Assignee changed from CD APP-王营 to CD APP-王宏
#5 - 2023-04-14 14:47 - CD APP-王宏

- % Done changed from 0 to 20

■ Current conclusion

分析中

■ My analysis

1681177665.417 system_process E/RecentsAnimation: Failed to start recents activity

    java.lang.NullPointerException: Attempt to write to field 'boolean com.android.server.wm.WindowContainer.mLaunchTaskBehind' on a null object reference

        at com.android.server.wm.RecentsAnimation.startRecentsActivity(RecentsAnimation.java:234)

        at com.android.server.wm.ActivityTaskManagerService.startRecentsActivity(ActivityTaskManagerService.java:1730)

        at android.app.IActivityTaskManager$Stub.onTransact(IActivityTaskManager.java:1275)

        at com.android.server.wm.ActivityTaskManagerService.onTransact(ActivityTaskManagerService.java:5072)

        at android.os.Binder.execTransactInternal(Binder.java:1179)

        at android.os.Binder.execTransact(Binder.java:1143)

根据场景复现后的日志可以知道是应用发生了崩溃才未进入recent中

■ Next action

后续讨论修改方案

#6 - 2023-04-14 17:45 - CD APP-王宏

- Due date changed from 2023-04-14 to 2023-04-17

#7 - 2023-04-17 11:18 - CD TEST-方永红

- File 4171116.txt added

#8 - 2023-04-17 20:19 - CD APP-王宏

- Due date changed from 2023-04-17 to 2023-04-20

由于此条是偶现bug，难以复现，因此向后安排，今天解决了客户的遥控器bug如下：

https://share.thundersoft.com/redmine/issues/117515

#9 - 2023-04-18 19:25 - CD APP-王宏

- File bugreport-figure_CN-SKQ1.220201.001-2023-04-10-19-40-19.zip added

#10 - 2023-04-18 19:26 - CD APP-王宏

1681126772.412 system_process E/BoostPerfManager: UpdateResolution SecurityException : e=java.lang.SecurityException: MATCH_ANY_USER flag requires

INTERACT_ACROSS_USERS permission: UID 10221 requires android.permission.INTERACT_ACROSS_USERS_FULL or

android.permission.INTERACT_ACROSS_USERS to access user 0.

1681126773.632 com.get.apk.src.util E/LoadedApk: Unable to instantiate appComponentFactory

    java.lang.ClassNotFoundException: Didn't find class "android.support.v4.app.CoreComponentFactory" on path: DexPathList[[zip file

"/data/app/~~bT97XUqWyiiP5wtrpecrJQ==/com.get.apk.src.util-UbsAkAqI63DmVD0gKwWh_g==/base.apk"],nativeLibraryDirectories=[/data/app/~~bT97XUqWyii

P5wtrpecrJQ==/com.get.apk.src.util-UbsAkAqI63DmVD0gKwWh_g==/lib/arm64,

/data/app/~~bT97XUqWyiiP5wtrpecrJQ==/com.get.apk.src.util-UbsAkAqI63DmVD0gKwWh_g==/base.apk!/lib/arm64-v8a, /system/lib64, /system_ext/lib64]]

        at dalvik.system.BaseDexClassLoader.findClass(BaseDexClassLoader.java:218)

        at java.lang.ClassLoader.loadClass(ClassLoader.java:379)

        at java.lang.ClassLoader.loadClass(ClassLoader.java:312)

        at android.app.LoadedApk.createAppFactory(LoadedApk.java:262)

        at android.app.LoadedApk.createOrUpdateClassLoaderLocked(LoadedApk.java:975)
        at android.app.LoadedApk.getClassLoader(LoadedApk.java:1062)

        at android.app.LoadedApk.getResources(LoadedApk.java:1310)

        at android.app.ContextImpl.createAppContext(ContextImpl.java:3014)

        at android.app.ContextImpl.createAppContext(ContextImpl.java:3006)

        at android.app.ActivityThread.handleBindApplication(ActivityThread.java:6633)

        at android.app.ActivityThread.access$1500(ActivityThread.java:248)

        at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2054)

        at android.os.Handler.dispatchMessage(Handler.java:106)

        at android.os.Looper.loopOnce(Looper.java:201)

        at android.os.Looper.loop(Looper.java:288)

        at android.app.ActivityThread.main(ActivityThread.java:7880)

        at java.lang.reflect.Method.invoke(Native Method)

        at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

        at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

1681126773.761 com.get.apk.src.util E/AndroidRuntime: FATAL EXCEPTION: main

    Process: com.get.apk.src.util, PID: 25806

    java.lang.NoClassDefFoundError: Failed resolution of: Landroid/support/v7/app/AppCompatActivity;

        at java.lang.VMClassLoader.findLoadedClass(Native Method)

        at java.lang.ClassLoader.findLoadedClass(ClassLoader.java:738)

        at java.lang.ClassLoader.loadClass(ClassLoader.java:363)

        at java.lang.ClassLoader.loadClass(ClassLoader.java:312)

        at android.app.AppComponentFactory.instantiateActivity(AppComponentFactory.java:95)

        at android.app.Instrumentation.newActivity(Instrumentation.java:1274)

        at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:3533)

        at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:3793)

        at android.app.servertransaction.LaunchActivityItem.execute(LaunchActivityItem.java:103)

        at android.app.servertransaction.TransactionExecutor.executeCallbacks(TransactionExecutor.java:135)

        at android.app.servertransaction.TransactionExecutor.execute(TransactionExecutor.java:95)

        at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2211)

        at android.os.Handler.dispatchMessage(Handler.java:106)

        at android.os.Looper.loopOnce(Looper.java:201)

        at android.os.Looper.loop(Looper.java:288)

        at android.app.ActivityThread.main(ActivityThread.java:7880)

        at java.lang.reflect.Method.invoke(Native Method)

        at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

        at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

     Caused by: java.lang.ClassNotFoundException: android.support.v7.app.AppCompatActivity

        at java.lang.VMClassLoader.findLoadedClass(Native Method)�0�2

        at java.lang.ClassLoader.findLoadedClass(ClassLoader.java:738)�0�2

        at java.lang.ClassLoader.loadClass(ClassLoader.java:363)�0�2

        at java.lang.ClassLoader.loadClass(ClassLoader.java:312)�0�2

        at android.app.AppComponentFactory.instantiateActivity(AppComponentFactory.java:95)�0�2

        at android.app.Instrumentation.newActivity(Instrumentation.java:1274)�0�2

        at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:3533)�0�2

        at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:3793)�0�2

        at android.app.servertransaction.LaunchActivityItem.execute(LaunchActivityItem.java:103)�0�2

        at android.app.servertransaction.TransactionExecutor.executeCallbacks(TransactionExecutor.java:135)�0�2

        at android.app.servertransaction.TransactionExecutor.execute(TransactionExecutor.java:95)�0�2

        at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2211)�0�2

        at android.os.Handler.dispatchMessage(Handler.java:106)�0�2

        at android.os.Looper.loopOnce(Looper.java:201)�0�2

        at android.os.Looper.loop(Looper.java:288)�0�2

        at android.app.ActivityThread.main(ActivityThread.java:7880)�0�2
        at java.lang.reflect.Method.invoke(Native Method)�0�2

        at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)�0�2

        at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)�0�2

8357.726 ? E/audit: rate limit exceeded

1681126780.711 system_process E/BoostPerfManager: UpdateResolution SecurityException : e=java.lang.SecurityException: MATCH_ANY_USER flag requires

INTERACT_ACROSS_USERS permission: UID 10212 requires android.permission.INTERACT_ACROSS_USERS_FULL or

android.permission.INTERACT_ACROSS_USERS to access user 0.

8359.756 ? E/audit: rate limit exceeded

1681126782.976 system_process E/BoostPerfManager: UpdateResolution SecurityException : e=java.lang.SecurityException: MATCH_ANY_USER flag requires

INTERACT_ACROSS_USERS permission: UID 10212 requires android.permission.INTERACT_ACROSS_USERS_FULL or

android.permission.INTERACT_ACROSS_USERS to access user 0.

1681126785.551 com.get.apk.src.util E/LoadedApk: Unable to instantiate appComponentFactory

    java.lang.ClassNotFoundException: Didn't find class "android.support.v4.app.CoreComponentFactory" on path: DexPathList[[zip file

"/data/app/~~bT97XUqWyiiP5wtrpecrJQ==/com.get.apk.src.util-UbsAkAqI63DmVD0gKwWh_g==/base.apk"],nativeLibraryDirectories=[/data/app/~~bT97XUqWyii

P5wtrpecrJQ==/com.get.apk.src.util-UbsAkAqI63DmVD0gKwWh_g==/lib/arm64,

/data/app/~~bT97XUqWyiiP5wtrpecrJQ==/com.get.apk.src.util-UbsAkAqI63DmVD0gKwWh_g==/base.apk!/lib/arm64-v8a, /system/lib64, /system_ext/lib64]]

        at dalvik.system.BaseDexClassLoader.findClass(BaseDexClassLoader.java:218)

        at java.lang.ClassLoader.loadClass(ClassLoader.java:379)

        at java.lang.ClassLoader.loadClass(ClassLoader.java:312)

        at android.app.LoadedApk.createAppFactory(LoadedApk.java:262)

        at android.app.LoadedApk.createOrUpdateClassLoaderLocked(LoadedApk.java:975)

        at android.app.LoadedApk.getClassLoader(LoadedApk.java:1062)

        at android.app.LoadedApk.getResources(LoadedApk.java:1310)

        at android.app.ContextImpl.createAppContext(ContextImpl.java:3014)

        at android.app.ContextImpl.createAppContext(ContextImpl.java:3006)

        at android.app.ActivityThread.handleBindApplication(ActivityThread.java:6633)

        at android.app.ActivityThread.access$1500(ActivityThread.java:248)

        at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2054)

        at android.os.Handler.dispatchMessage(Handler.java:106)

        at android.os.Looper.loopOnce(Looper.java:201)

        at android.os.Looper.loop(Looper.java:288)

        at android.app.ActivityThread.main(ActivityThread.java:7880)

        at java.lang.reflect.Method.invoke(Native Method)

        at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

        at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

1681126785.715 com.get.apk.src.util E/AndroidRuntime: FATAL EXCEPTION: main

    Process: com.get.apk.src.util, PID: 26016

    java.lang.NoClassDefFoundError: Failed resolution of: Landroid/support/v7/app/AppCompatActivity;

        at java.lang.VMClassLoader.findLoadedClass(Native Method)

        at java.lang.ClassLoader.findLoadedClass(ClassLoader.java:738)

        at java.lang.ClassLoader.loadClass(ClassLoader.java:363)

        at java.lang.ClassLoader.loadClass(ClassLoader.java:312)

        at android.app.AppComponentFactory.instantiateActivity(AppComponentFactory.java:95)

        at android.app.Instrumentation.newActivity(Instrumentation.java:1274)

        at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:3533)

        at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:3793)

        at android.app.servertransaction.LaunchActivityItem.execute(LaunchActivityItem.java:103)

        at android.app.servertransaction.TransactionExecutor.executeCallbacks(TransactionExecutor.java:135)

        at android.app.servertransaction.TransactionExecutor.execute(TransactionExecutor.java:95)

        at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2211)

        at android.os.Handler.dispatchMessage(Handler.java:106)

        at android.os.Looper.loopOnce(Looper.java:201)

        at android.os.Looper.loop(Looper.java:288)
        at android.app.ActivityThread.main(ActivityThread.java:7880)

        at java.lang.reflect.Method.invoke(Native Method)

        at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

        at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

#11 - 2023-04-19 14:23 - CD APP-王宏

- File bugreport-figure_CN-SKQ1.220201.001-2023-04-11-14-38-13.zip added

再次复现

#12 - 2023-04-19 20:02 - CD APP-王宏

■ Current conclusion

分析中

■ My analysis

根据现象应是桌面到recent过程中出现了意外

根据日志没有头绪，等待解bug过程中去复现，去解决

■ Next action

等下一次复现的时候记录复现步骤，尝试代码操作常规复现

#13 - 2023-05-04 15:26 - CD APP-王营

- Due date changed from 2023-04-20 to 2023-05-10

#14 - 2023-05-06 17:52 - CD APP-王宏

- % Done changed from 20 to 30

■ Current conclusion

分析中

■ My analysis

根据现象可知，是TaskView调用了onTaskListVisibilityChanged(boolean visible, @TaskDataChanges int changes)，

且visible 为false时会将icon 和 thumbnail 才会展示空白。

另外，根据现象是在Move过程中突然闪出RecentsView，所以猜测是和OtherActivityInputConsumer中的ACTION_MOVE有关，

目前已确定是滑动过程中意外导致RecentsView突然出现。

已排除OtherActivityInputConsumer突然切换多指的情况

已排除意外切换 ACTION_CANCEL，ACTION_UP的情况

继续分析 OtherActivityInputConsumer，上划推动慢速推动会进入recent,快速推动会返回桌面，

此处现象是已经进入了recents的逻辑，但是又意外返回了桌面，故出现上述现象。

■ Next action

结合此处推断，去代码中找寻逻辑

#15 - 2023-05-15 14:12 - CD APP-王宏

■ Current conclusion
加入强化日志

■ My analysis

根据最新收到的反馈，和OtherActivityInputConsumer（应用内上划） 和 OverviewInputConsumer（Launcher桌面上划） 都没有关系，推测是和

RecentsViewStateController 中的动画控制有关

因此在此类中加入强化日志，如下，等待再次复现后再排查

■ Next action

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/198366

#16 - 2023-05-15 17:45 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

198366 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:add hardened log1.add hardened log2.optimize codeTC-RID: 1201-0205302IssueID: TS-R-BUG-116832Change-Id:

I3b8fe3f33c20df4a847e0d9765d2a64d0b9d237d

#17 - 2023-05-15 17:49 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 30 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-16

- Root cause set to 问题无法复现，添加强化日志

#18 - 2023-05-17 16:26 - CD TEST-方永红

5.17

0100版本重复50次，未复现

#19 - 2023-05-19 11:28 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

0101版本未复现

先关闭

#20 - 2023-05-19 11:28 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

20230309-114400.jpg 132 KB 2023-03-09 CD TEST-方永红

1126.txt 5.34 MB 2023-03-09 CD TEST-方永红

logcat.txt 5.02 MB 2023-03-16 CDTS_Test 吴诗雨

2025-07-04 6/7

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/198366


4171116.txt 2.46 MB 2023-04-17 CD TEST-方永红

bugreport-figure_CN-SKQ1.220201.001-2023-04-10-19-40-19.zip 6.4 MB 2023-04-18 CD APP-王宏

bugreport-figure_CN-SKQ1.220201.001-2023-04-11-14-38-13.zip 9.35 MB 2023-04-19 CD APP-王宏
